%define oname   aws-s3

Name:       ruby-%{oname}
Version:    0.6.3
Release:    %mkrel 13
Summary:    Client library for Amazon's Simple Storage Service's REST API
License:    MIT
Group:      Development/Ruby
URL:        http://amazon.rubyforge.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Client library for Amazon's Simple Storage Service's REST API

%files
%{_bindir}/s3sh
%dir %{gem_instdir}/
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README
%doc COPYING
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Wed Oct 19 2016 pterjan <pterjan> 0.6.3-13.mga6
+ Revision: 1062505
- Use gem_setup

* Mon Feb 08 2016 umeabot <umeabot> 0.6.3-12.mga6
+ Revision: 948155
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.3-11.mga5
+ Revision: 741137
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.3-10.mga5
+ Revision: 688751
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.6.3-9.mga4
+ Revision: 562144
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 0.6.3-8.mga4
+ Revision: 561725
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 0.6.3-7.mga4
+ Revision: 561059
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.6.3-6.mga4
+ Revision: 535297
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.6.3-5.mga4
+ Revision: 481900
- Rebuild for Ruby 2

* Sun Sep 08 2013 pterjan <pterjan> 0.6.3-4.mga4
+ Revision: 476440
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 0.6.3-3.mga3
+ Revision: 395723
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.6.3-2.mga3
+ Revision: 380657
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 0.6.3-1.mga3
+ Revision: 312619
- new version 0.6.3

* Sat Feb 12 2011 shikamaru <shikamaru> 0.6.2-2.mga1
+ Revision: 50907
- imported package ruby-aws-s3


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.6.2-2mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Fri Dec 10 2010 Rémy Clouard <shikamaru@mandriva.org> 0.6.2-1mdv2011.0
+ Revision: 620456
- import rubygem-aws-s3

